Package org.eclipse.graphiti.ui.internal.services.impl

# Class CommandService

java.lang.Object
org.eclipse.graphiti.ui.internal.services.impl.CommandService

All Implemented Interfaces:
  `ICommandService`

public class CommandService extends Object implements ICommandService

## Constructor Summary

Constructors
Constructor
Description
`CommandService()`

## Method Summary

Modifier and Type
Method
Description
`DefaultExecutionInfo`
`completeExecutionInfo(DefaultExecutionInfo executionInfo, org.eclipse.gef.commands.Command gefCommand)`
`DefaultExecutionInfo`
`completeExecutionInfo(DefaultExecutionInfo executionInfo, ICommand gfCommand)`
`IExecutionInfo`
`removeFeaturesWithoutChanges(IExecutionInfo executionInfo)`
`org.eclipse.gef.commands.Command`
`transformFromEmfToGefCommand(org.eclipse.emf.common.command.Command emfCommand)`
`org.eclipse.emf.common.command.Command`
`transformFromGefToEmfCommand(org.eclipse.gef.commands.Command gefCommand)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandService

public CommandService()

## Method Details

### transformFromGefToEmfCommand

public org.eclipse.emf.common.command.Command transformFromGefToEmfCommand(org.eclipse.gef.commands.Command gefCommand)

Specified by:
  `transformFromGefToEmfCommand` in interface `ICommandService`

### transformFromEmfToGefCommand

public org.eclipse.gef.commands.Command transformFromEmfToGefCommand(org.eclipse.emf.common.command.Command emfCommand)

Specified by:
  `transformFromEmfToGefCommand` in interface `ICommandService`

### completeExecutionInfo

public DefaultExecutionInfo completeExecutionInfo(DefaultExecutionInfo executionInfo, org.eclipse.gef.commands.Command gefCommand)

Specified by:
  `completeExecutionInfo` in interface `ICommandService`

### completeExecutionInfo

public DefaultExecutionInfo completeExecutionInfo(DefaultExecutionInfo executionInfo, ICommand gfCommand)

Specified by:
  `completeExecutionInfo` in interface `ICommandService`

### removeFeaturesWithoutChanges

public IExecutionInfo removeFeaturesWithoutChanges(IExecutionInfo executionInfo)

Specified by:
  `removeFeaturesWithoutChanges` in interface `ICommandService`